package com.jianshui.income.domain.entity;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-发票明细（大象）对象 income_invoice_auth_car
 *
 * @author jianshui
 * @date 2022-09-05
 */
public class IncomeInvoiceAuthCar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 发票表ID */
    @Excel(name = "发票表ID")
    private String invoiceId;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private String cllx;

    /** 厂牌型号 */
    @Excel(name = "厂牌型号")
    private String cpxh;

    /** 产地 */
    @Excel(name = "产地")
    private String cd;

    /** 合格证书 */
    @Excel(name = "合格证书")
    private String hgzs;

    /** 进口证明书号 */
    @Excel(name = "进口证明书号")
    private String jkzmsh;

    /** 商检单号 */
    @Excel(name = "商检单号")
    private String sjdh;

    /** 发动机号码 */
    @Excel(name = "发动机号码")
    private String fdjhm;

    /** 车架号码/车辆识别号 */
    @Excel(name = "车架号码/车辆识别号")
    private String clsbh;

    /** 税率 */
    @Excel(name = "税率")
    private String sl;

    /** 税额 */
    @Excel(name = "税额")
    private String se;

    /** 主管税务机关代码 */
    @Excel(name = "主管税务机关代码")
    private String zgswjgdm;

    /** 主管税务机关名称 */
    @Excel(name = "主管税务机关名称")
    private String zgswjgmc;

    /** 完税凭证号码 */
    @Excel(name = "完税凭证号码")
    private String wspzhm;

    /** 吨位 */
    @Excel(name = "吨位")
    private String dw;

    /** 限乘人数 */
    @Excel(name = "限乘人数")
    private String xcrs;

    /** 是否已勾选 */
    @Excel(name = "是否已勾选")
    private String sfygx;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setInvoiceId(String invoiceId)
    {
        this.invoiceId = invoiceId;
    }

    public String getInvoiceId()
    {
        return invoiceId;
    }
    public void setCllx(String cllx)
    {
        this.cllx = cllx;
    }

    public String getCllx()
    {
        return cllx;
    }
    public void setCpxh(String cpxh)
    {
        this.cpxh = cpxh;
    }

    public String getCpxh()
    {
        return cpxh;
    }
    public void setCd(String cd)
    {
        this.cd = cd;
    }

    public String getCd()
    {
        return cd;
    }
    public void setHgzs(String hgzs)
    {
        this.hgzs = hgzs;
    }

    public String getHgzs()
    {
        return hgzs;
    }
    public void setJkzmsh(String jkzmsh)
    {
        this.jkzmsh = jkzmsh;
    }

    public String getJkzmsh()
    {
        return jkzmsh;
    }
    public void setSjdh(String sjdh)
    {
        this.sjdh = sjdh;
    }

    public String getSjdh()
    {
        return sjdh;
    }
    public void setFdjhm(String fdjhm)
    {
        this.fdjhm = fdjhm;
    }

    public String getFdjhm()
    {
        return fdjhm;
    }
    public void setClsbh(String clsbh)
    {
        this.clsbh = clsbh;
    }

    public String getClsbh()
    {
        return clsbh;
    }
    public void setSl(String sl)
    {
        this.sl = sl;
    }

    public String getSl()
    {
        return sl;
    }
    public void setSe(String se)
    {
        this.se = se;
    }

    public String getSe()
    {
        return se;
    }
    public void setZgswjgdm(String zgswjgdm)
    {
        this.zgswjgdm = zgswjgdm;
    }

    public String getZgswjgdm()
    {
        return zgswjgdm;
    }
    public void setZgswjgmc(String zgswjgmc)
    {
        this.zgswjgmc = zgswjgmc;
    }

    public String getZgswjgmc()
    {
        return zgswjgmc;
    }
    public void setWspzhm(String wspzhm)
    {
        this.wspzhm = wspzhm;
    }

    public String getWspzhm()
    {
        return wspzhm;
    }
    public void setDw(String dw)
    {
        this.dw = dw;
    }

    public String getDw()
    {
        return dw;
    }
    public void setXcrs(String xcrs)
    {
        this.xcrs = xcrs;
    }

    public String getXcrs()
    {
        return xcrs;
    }
    public void setSfygx(String sfygx)
    {
        this.sfygx = sfygx;
    }

    public String getSfygx()
    {
        return sfygx;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("invoiceId", getInvoiceId())
            .append("cllx", getCllx())
            .append("cpxh", getCpxh())
            .append("cd", getCd())
            .append("hgzs", getHgzs())
            .append("jkzmsh", getJkzmsh())
            .append("sjdh", getSjdh())
            .append("fdjhm", getFdjhm())
            .append("clsbh", getClsbh())
            .append("sl", getSl())
            .append("se", getSe())
            .append("zgswjgdm", getZgswjgdm())
            .append("zgswjgmc", getZgswjgmc())
            .append("wspzhm", getWspzhm())
            .append("dw", getDw())
            .append("xcrs", getXcrs())
            .append("sfygx", getSfygx())
            .toString();
    }
}
